Part-time organizations like learning communities, standards bodies,
advocacy groups, hobby groups, and alumni organizations often need different
things out of chat than companies do. While there may be some core members
spending many hours per week on the organization, much of the value of the
community may come from a large number of members or potential members who
have an unrelated job and thus may have less than an hour a week to spend on
the organization. In such an organization, making it easy for someone to
participate when they don’t have time to read everything can be the
difference between a robust, growing community and one that stagnates.

Some of Zulip’s earliest users were part-time organizations, so we have given
a lot of thought to the problems such groups face. Zulip’s topic-based
threading

* Makes the catching-up experience fast and fun, even if a user has been
  away for a while. On Slack or email, wading through hundreds or thousands
  of unread messages is taxing at best.

* Makes it easy to respond to conversations that started hours or days ago,
  so that users that drop by occasionally can contribute rather than just
  lurk.

Zulip’s topic-based threading also allows for more thoughtful discussion,
since more people are able to chime in on any given conversation. It also
makes it easy to start new threads, so digressions don’t take over a
conversation.

If you haven’t read [why Zulip](/why-zulip), read that first. If your
organization is a technical group that will be sharing code, you may want to
read [Zulip for open source](/for/open-source) as well. Finally, one of our
earliest communities, the Recurse Center, wrote an
[extended blog post](https://www.recurse.com/blog/112-how-rc-uses-zulip)
about how they use Zulip, which has suggestions for conventions you might
want to include as you build your community.

Two additional points of note:

* **Pay as you go**: We host many pro-social groups for free, and
  non-commercial entities at a greatly reduced price. Even if you don’t fall
  into any such bucket, Zulip only charges for users that have been active
  in the last two weeks. So feel free to invite anyone you’d like, even if
  you’re not sure if they’ll end up sticking around!

* **Smart digest emails (coming soon)**: Zulip’s topic-based threading makes
  it easier for algorithms to guess which messages and conversations will be
  interesting to users that haven’t checked in in a while. Occasional
  interesting digests sent to inactive users is a great way to bring users
  back into the group.
